Just nu i M3-nätverket
Jump to content

Problem med nvidia glx i SuSE...


brorsan

Recommended Posts

Har just installerat SuSE 8.0, valde att installera nvidia_glx och nvidia_kernel efterssom jag har ett GF2 MX400. Körde Yast Online Update och uppdaterade till senaste versionen av dessa båda, d.v.s. samma version som ligger på nvidias hemsida. Provade att starta tuxracer och fick felmeddelandet att 3d inte var konfigurerat. Jag körde 3Ddiag och den sa att jag måste lägga till raden 'Load "glx"' under modules och 'Driver "nvidia"' istf 'Driver "nv"' under Driver i /etc/X11/XF86Config. Jag gjorde detta och körde 3Ddiag igen och den visade inga felmeddelanden. Jag stängde ner x-win och skulle starta det igen med startx, men bilden blir bara svart. Kollar man i loggen så kraschar x-servern efter att den försöker ladda glx. Nån som har några ideér på vad som är fel?

____________________

.:def:.

http://users.du.se/~h00petwa/

"There are 10 kinds of people in the world,

those who understand binary and those who don't."

Link to comment
Share on other sites

Nu kör jag RedHat, och jag brukar kompilera nvidia_glx och nvidia_kernel själv alltså med .tar.gz arkiven.

Detta efter att jag provade med att installera med de färdiga rpm-filerna och det inte fungerade.

 

Kompilerar man själv så kollar det kanske upp bättre hur just din maskin är konfigurerad, vad vet jag.

 

Det är bara att packa upp paketen i /usr/mummel-mummel/src

Gå in i dem och skriva

make

make install

 

(det brukar räcka med make)

 

TN

 

 

[inlägget ändrat 2002-09-09 15:49:20 av Don Tomas]

Link to comment
Share on other sites

Jag får prova med det, dock så ska ju rpm-arkivet man hittar på nvidias hemsida vara just för SuSE8.0.. likaså den automatiska uppdatering YOU :/

____________________

.:def:.

http://users.du.se/~h00petwa/

"There are 10 kinds of people in the world,

those who understand binary and those who don't."

 

Link to comment
Share on other sites

Heh.. jag ska precis just nu börja med samma projekt på mandrake 8.2 med GeForce2 MX. Enligt Nvidias forum verkar många ha haft problem med just det, så vi får se.

 

Link to comment
Share on other sites

Jag kompilerade de senaste drivrutinerna i förrgår, inga problem.

Förutom att jag glömde bort att ändra in configfilen och hade grafisk inloggning, det vart lite kritiskt ett tag...

Men det fungerar.

RedHat 7.3, Geforce 3 ti200

 

TN

 

 

Link to comment
Share on other sites

Ett alternativ är att använda Nvidias src.rpm:er, då kör man kommandot rpm --rebuild , varefter man får en output; wrote /usr/src/RPM/RPMS....NVIDIA_kernel..i586.rpm som man kör rpm -ivh på.

Relativt snabbt och smärtfritt :) Man kan göra samma sak med GLX:en, även om det är onödigt, eftersom den är en binär även i src.rpm:en så den vanliga rpm:en ska duga ;)

 

Glöm inte att rpm -e din gamla NVIDIA_kernel och GLX innan du försöker installera dom nya !

 

Sen ska det absolut räcka med att kolla att load "GLX" finns med i /etc/X11/config4 och ändra "nv" till "nvidia", samt starta om X.

Vad vore livet utan Tuxracer ?

 

(PCI-kort bör funka, jag körde Tuxracer med min gamla Aptiva och Voodoo Banshee, iofs hade Voodoo korten stöd för 3D direkt i XFree...en sak som kan bli fel är om du inte har "assign PCI-irq to VGA" ikryssad i bios. Då funkar inte NVIDIA_kernel, den är beroende av den biosinställningen även om inte XFree eller Windows är det)

 

[inlägget ändrat 2002-09-09 16:15:21 av PaleRider]

Link to comment
Share on other sites

Grafisk inloggning och NVIDIA_kernel funkar utmärkt både med RedHat och Mandrake, hos mig...

 

(btw, nya gdm i Gnome 2 är jäkligt snygg !)

 

/PaleRider

Powered by Mandrake Linux 9.0 RC1

 

[inlägget ändrat 2002-09-09 16:22:22 av PaleRider]

Link to comment
Share on other sites

Jag provade rebuilda som du skrev men fick felmeddelandet

 

"install: cannot stat `NVdriver': No such file or directory

Bad exit status from /var/tmp/rpm-tmp.34849 (%install)"

 

:(

 

Provade även med tgz-arkivet, körde make och fick felmddelandet "nv-linux.h:44: #error This driver does not support 2.6.x or newer kernels!

nv-linux.h:53: linux/autoconf.h: No such file or directory

"

 

Kan det vara skälet att det inte funkar tro..?

____________________

.:def:.

http://users.du.se/~h00petwa/

"There are 10 kinds of people in the world,

those who understand binary and those who don't."

 

Link to comment
Share on other sites

2.6.x ??? Que ? Utvecklingskerneln är väl 2.5.x, och den senaste stabila var 2.4.19 senast jag kollade...något ÄR fel...

 

I övrigt, enligt det första felmeddelandet verkar det som att du inte har alla utvecklingsverktyg installerade, typ kernel-headers, eller eventuellt att du har en annan gcc-version än den som kerneln är kompilerad med...

 

/PaleRider

Powered by Mandrake Linux 9.0 RC1

 

Link to comment
Share on other sites

Grafisk inloggning och NVIDIA_kernel funkar utmärkt både med RedHat och Mandrake, hos mig...

Hos mig med, nu. Men mina nyinstallerade grafik-rutiner krashade, pga en miss av mig, vilket gjorde grafisk inloggning tämligen svår.

 

Men jag löste det med...

 

Undrar vad jag ska sabba för något fungerande ikväll, Gnome 2 kanske, kernel 2.6 optimerad för P4 :) ?

 

TN

 

 

Link to comment
Share on other sites

"GDM is the GNOME Display Manager, it is the little proggie that runs in the

background, runs your X sessions, presents you with a login box and then

tells you to piss off because you forgot your password. It does pretty much

everything that you would want to use xdm for, but doesn't involve as much

crack. It doesn't use any code from xdm, and has a more paranoid and safer

design overall. It also includes many features over xdm, the biggest one of

which is that it is more user friendly, even if your X setup is failing. The

goal is that users should never, ever have to use the command line to

customize or troubleshoot gdm. It of course supports xdmcp, and in fact

extends xdmcp a little bit in places where I thought xdm was lacking (but is

still compatible with xdm's xdmcp)."

Så står om GDM på följande sida:

 

http://lists.gnome.org/archives/gnome-announce-list/2002-June/msg00034.html

 

//Max

 

Link to comment
Share on other sites

  • 3 weeks later...
Provade även med tgz-arkivet, körde make och fick felmddelandet "nv-linux.h:44: #error This driver does not support 2.6.x or newer kernels!

Fick samma meddelande, installerade kernel-source och ncurses-devel som kernel-source är beroende av.

Sen gick kompileringen bra.

(Mandrake 9.0)

 

/TN

 

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.



×
×
  • Create New...